<fieldset>
    <form class="field container m-2" #myNgForm="ngForm" (ngSubmit)="handleOnSubmit(myNgForm)">
        <h3>My Angular Form</h3>

        <label class="label" for="firstname">First name: </label>
        <input class="input" id="firstname" #firstname="ngModel" ngModel required minlength="2" name="firstname" type="text" 
            placeholder="Joe">

        <div *ngIf="firstname.errors && (firstname.dirty || firstname.touched)">
            <span class="tag is-danger" *ngIf="firstname.errors?.['required']" >
                First name is required
            </span>
            <span class="tag is-danger" *ngIf="firstname.errors?.['minlength']" >
                First name is too short
            </span>
        </div>

        <label class="label" for="lastname">Last name: </label>
        <input class="input" id="lastname" ngModel minlength="2" name="lastname" type="text" placeholder="Smith">

        <label class="label" for="email">Email: </label>
        <input class="input" id="email" #email="ngModel" ngModel required email minlength="2" name="email" type="email" placeholder="joe.smith@coolmail.com">

        <div *ngIf="email.errors && (firstname.dirty || firstname.touched)">
            <span class="tag is-danger" *ngIf="email.errors?.['required']" >
                Email is required
            </span>
            <span class="tag is-danger" *ngIf="email.errors?.['minlength']" >
                Email is too short
            </span>
            <span class="tag is-danger" *ngIf="email.errors?.['email']" >
                Email is in the wrong format
            </span>
        </div>

        <button class="button is-primary mt-2" type="submit" [disabled]="myNgForm.invalid">Submit Form</button>
    </form>
</fieldset>